Subject: [bug#76699] [PATCH emacs-guix 0/4] Refresh package emacs-guix

From: Ludovic Courtès <[email-masked]>
Date: Sat, 08 Mar 2025 17:57:17 +0100

Hello,

Nicolas Graves <[email-masked]> skribis:

> This is a series of refreshing commits for emacs-guix.

Yay!

> This is done in an effort to port emacs-guix to
> guile-ares-rs/emacs-arei backend, currently in progress here :
> https://git.sr.ht/~ngraves/emacs-guix

I remain fond of Geiser so I’m skeptical of this change.  Perhaps you
could explain a bit why you think it’s worthwhile?

> This is still a WIP, I'd still like to replace old references to
> guix-environment by references to guix shell at least.  I'm not able
> to test all changes, since guix-command seems to be broken (before
> this patch series I mean).
>
> Thus, I invite users of emacs-guix to try that series and report any
> bug that could have been caused by it.

I haven’t tried it yet but it LGTM, except for patch #4.

Ludo’.